"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DynamicLibraryPlugin = void 0;
class DynamicLibraryPlugin {
    constructor(options) {
        this.options = options;
    }
    apply(compiler) {
        compiler.hooks.emit.tap('DynamicLibraryPlugin', compilation => {
            for (const assetId in this.options.modulesMap) {
                const moduleMap = this.options.modulesMap[assetId];
                if (compilation.assets[assetId]) {
                    const rawValue = compilation.assets[assetId].children[0]._value;
                    compilation.assets[assetId].children[0]._value = rawValue.replace(this.options.libraryName, moduleMap.id + '_' + moduleMap.version);
                }
            }
        });
    }
}
exports.DynamicLibraryPlugin = DynamicLibraryPlugin;
//# sourceMappingURL=DynamicLibraryPlugin.js.map