"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NgrokServePlugin = void 0;
const webpack_1 = __importDefault(require("webpack"));
class NgrokServePlugin {
    constructor(options) {
        this.options = options;
    }
    apply(compiler) {
        compiler.options.devServer.public = this.options.host;
        compiler.options.output.publicPath = `https://${this.options.host}/dist/`;
        const clearCacheScript = require.resolve('./common/ClearCache');
        const entries = compiler.options.entry;
        for (const key in entries) {
            const entry = entries[key];
            entries[key] = [clearCacheScript, entry];
        }
        compiler.options.plugins.push(new webpack_1.default.DefinePlugin({
            '__NGROK_HOST__': JSON.stringify(this.options.host)
        }));
    }
}
exports.NgrokServePlugin = NgrokServePlugin;
//# sourceMappingURL=NgrokServePlugin.js.map