"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.applyContainersSetting = void 0;
const helpers_1 = require("../webpack/helpers");
const applyContainersSetting = (config, settings) => {
    let shouldApply = false;
    const containersHost = '0.0.0.0';
    if (settings.containers == null) {
        const serveConfig = helpers_1.getJSONFile('config/serve.json');
        if ((serveConfig === null || serveConfig === void 0 ? void 0 : serveConfig.hostname) === containersHost || (serveConfig === null || serveConfig === void 0 ? void 0 : serveConfig.ipAddress) === containersHost) {
            shouldApply = true;
        }
    }
    if (settings.containers) {
        shouldApply = true;
    }
    if (shouldApply) {
        const publicPath = `https://${containersHost}:${config.devServer.port}/dist/`;
        config.devServer.host = containersHost;
        config.devServer.publicPath = publicPath;
        config.devServer.sockHost = 'localhost';
        config.devServer.watchOptions = config.devServer.watchOptions || {};
        config.devServer.watchOptions.aggregateTimeout = 500;
        config.devServer.watchOptions.poll = 1000;
    }
};
exports.applyContainersSetting = applyContainersSetting;
//# sourceMappingURL=containers.js.map