"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.applyServeSettings = void 0;
const helpers_1 = require("../webpack/helpers");
const containers_1 = require("./containers");
const eslint_1 = require("./eslint");
const fullScreenErrors_1 = require("./fullScreenErrors");
const hotRefresh_1 = require("./hotRefresh");
const loggingLevel_1 = require("./loggingLevel");
const openUrl_1 = require("./openUrl");
const reactProfiling_1 = require("./reactProfiling");
function applyServeSettings(config) {
    const settings = helpers_1.getJSONFile('fast-serve/config.json');
    helpers_1.setDefaultServeSettings(settings);
    openUrl_1.applyOpenUrlSetting(config, settings.serve);
    fullScreenErrors_1.applyFullScreenErrors(config, settings.serve);
    loggingLevel_1.applyLoggingLevel(config, settings.serve);
    hotRefresh_1.applyhotRefresh(config, settings.serve);
    eslint_1.applyEslintSetting(config, settings.serve);
    reactProfiling_1.applyReactProfilingSetting(config, settings.serve);
    containers_1.applyContainersSetting(config, settings.serve);
}
exports.applyServeSettings = applyServeSettings;
//# sourceMappingURL=index.js.map